# 8259.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Defines

#define | mPic 0x20
#define | mImr 0x21
#define | sPic 0xA0
#define | sImr 0xA1
#define | eoi 0x20
#define | icw1 0x11
#define | icw4 0x01
#define | mVec 0x68
#define | sVec 0x70
#define | ocw3Irr 0x0A
#define | ocw3Isr 0x0B

## Functions

int | init8259 ()
void | irqEnable (uInt16 irqNo)
void | irqDisable (uInt16 irqNo)

## Define Documentation

#define eoi 0x20

#define icw1 0x11

#define icw4 0x01

#define mImr 0x21

#define mPic 0x20

#define mVec 0x68

#define ocw3Irr 0x0A

#define ocw3Isr 0x0B

#define sImr 0xA1

#define sPic 0xA0

#define sVec 0x70

## Function Documentation

int init8259 | ( |  | ) |

void irqDisable | ( | uInt16 | irqNo | ) |

void irqEnable | ( | uInt16 | irqNo | ) |